Bug 1285892 - [abrt] Thunar: thunar_file_info_reload(): thunar killed by SIGSEGV
[abrt] Thunar: thunar_file_info_reload(): thunar killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1279070
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ef018052c0ab6919f6504a17082...
:
: 1320402 1329971 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 17:04 EST by Benjamin Ariel Nava Martinez
Modified: 2016-04-25 04:28 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-02 16:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.95 KB, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
File: core_backtrace (2.55 KB, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
File: dso_list (10.51 KB, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
File: environ (1.73 KB, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
File: exploitable (110 bytes, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
File: maps (55.95 KB, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
File: open_fds (2.80 KB, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
File: proc_pid_status (1008 bytes, text/plain)
2015-11-26 17:04 EST, Benjamin Ariel Nava Martinez
no flags Details
AddressSanitizer backtrace (2.25 KB, text/plain)
2016-03-13 15:52 EDT, Jari Korva
no flags Details

  None (edit)
Description Benjamin Ariel Nava Martinez 2015-11-26 17:04:11 EST
Version-Release number of selected component:
Thunar-1.6.10-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        Thunar --daemon
crash_function: thunar_file_info_reload
executable:     /usr/bin/thunar
global_pid:     1814
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 thunar_file_info_reload at thunar-file.c:975
 #1 thunar_file_load at thunar-file.c:1177
 #2 thunar_file_reload at thunar-file.c:3926
 #7 gtk_main at gtkmain.c:1268
Comment 1 Benjamin Ariel Nava Martinez 2015-11-26 17:04:16 EST
Created attachment 1099462 [details]
File: backtrace
Comment 2 Benjamin Ariel Nava Martinez 2015-11-26 17:04:17 EST
Created attachment 1099463 [details]
File: cgroup
Comment 3 Benjamin Ariel Nava Martinez 2015-11-26 17:04:18 EST
Created attachment 1099464 [details]
File: core_backtrace
Comment 4 Benjamin Ariel Nava Martinez 2015-11-26 17:04:19 EST
Created attachment 1099465 [details]
File: dso_list
Comment 5 Benjamin Ariel Nava Martinez 2015-11-26 17:04:20 EST
Created attachment 1099466 [details]
File: environ
Comment 6 Benjamin Ariel Nava Martinez 2015-11-26 17:04:22 EST
Created attachment 1099467 [details]
File: exploitable
Comment 7 Benjamin Ariel Nava Martinez 2015-11-26 17:04:23 EST
Created attachment 1099468 [details]
File: limits
Comment 8 Benjamin Ariel Nava Martinez 2015-11-26 17:04:24 EST
Created attachment 1099469 [details]
File: maps
Comment 9 Benjamin Ariel Nava Martinez 2015-11-26 17:04:25 EST
Created attachment 1099470 [details]
File: mountinfo
Comment 10 Benjamin Ariel Nava Martinez 2015-11-26 17:04:26 EST
Created attachment 1099471 [details]
File: namespaces
Comment 11 Benjamin Ariel Nava Martinez 2015-11-26 17:04:27 EST
Created attachment 1099472 [details]
File: open_fds
Comment 12 Benjamin Ariel Nava Martinez 2015-11-26 17:04:28 EST
Created attachment 1099473 [details]
File: proc_pid_status
Comment 13 Kevin Fenzi 2015-11-26 19:31:12 EST
What were you doing when this crash happened?

Can you duplicate it?
Comment 14 Benjamin Ariel Nava Martinez 2015-11-26 21:56:45 EST
I really don't know what caused this, I had a directory structure as follows:

/home/
   ariel/
      SAMSUNG ELECTRONICS CO., LTD._N145P/
         N250P/
            N260P_ZWSC93KB100450/

With 7 or 8 text files inside, (my /home/ mountpoint is actually in another partition on the same disk, if that matters), and I then proceeded to navigate down until N260P_ZWSC93KB100450/ to see the files, then I navigated up twice into SAMSUNG ELECTRONICS CO., LTD._N145P/ and copied N250P/'s name (by using Ctrl+F2 to rename, copy, and then ESC to close the rename dialog), navigated up once into my home to rename "SAMSUNG ELECTRONICS CO., LTD._N145P/" and appended _N250P to the name. Then I navigated down into N250P/ to copy N260P_ZWSC93KB100450/'s name, navigated up twice into my home again to finally renaming SAMSUNG ELECTRONICS CO., LTD._N145P_N250P/ to "SAMSUNG ELECTRONICS CO., LTD._N145P_N250P_N260P_ZWSC93KB100450", I then navigated down into N260P_ZWSC93KB100450/, cut the files (CTRL+X) and navigated up into (now named) SAMSUNG ELECTRONICS CO., LTD._N145P_N250P_N260P_ZWSC93KB100450/ to paste them (CTRL+V) and the crash happened. When I opened Thunar again all the files were where I pasted them and none were corrupted or missing.

TL;DR

What I basically did was

- Be at /home/ariel/.
- Navigated down into /home/ariel/SAMSUNG ELECTRONICS CO., LTD._N145P/N250P/N260P_ZWSC93KB100450/ to see the files.
- Navigated up into /home/ariel/SAMSUNG ELECTRONICS CO., LTD._N145P/ and copied N250P/'s name.
- Navigated up into /home/ariel and renamed /home/ariel/SAMSUNG ELECTRONICS CO., LTD._N145P/ to /home/ariel/SAMSUNG ELECTRONICS CO., LTD._N145P_N250P/.
- Navigated down into /home/ariel/SAMSUNG ELECTRONICS CO., LTD._N145P_N250P/N250P/ and copied N260P_ZWSC93KB100450/'s name.
- Navigated up into /home/ariel and renamed /home/ariel/SAMSUNG ELECTRONICS CO., LTD._N145P_N250P/ to /home/ariel/SAMSUNG ELECTRONICS CO., LTD._N145P_N250P_N260P_ZWSC93KB100450/
- Navigated down into /home/ariel/SAMSUNG ELECTRONICS CO., LTD._N145P_N250P_N260P_ZWSC93KB100450/N250P/N260P_ZWSC93KB100450/ and cut the files (CTRL+A, CTRL+X)
- Navigated up into /home/ariel/SAMSUNG ELECTRONICS CO., LTD._N145P_N250P_N260P_ZWSC93KB100450/ and pasted the files (CTRL+V).

Then the crash happened. 

I tried to reproduce this by creating a tree structure of at least 2 levels with some files inside, navigating up, renaming the top dir, navigating down to cut the files and navigating up to paste the files, but it did not crash again.
Comment 15 Marcus 2015-12-20 23:34:44 EST
Another user experienced a similar problem:

I moved a file from one folder to sub-folder of the first folder, using CTRL+X and CTRL+V.
The program then crashed.
Sorry, not easily possible to reproduce.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        thunar
crash_function: thunar_file_info_reload
executable:     /usr/bin/thunar
global_pid:     1903
kernel:         4.2.7-300.fc23.x86_64
package:        Thunar-1.6.10-2.fc23
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Jari Korva 2016-02-04 14:18:47 EST
Ctrl-x + ctrl-v here as well, from parent folder to its subfolder.
Comment 17 Jari Korva 2016-02-04 15:53:20 EST
... happened also twice tonight after/during rename (via mouse left).
Comment 18 Jari Korva 2016-03-13 15:52 EDT
Created attachment 1135968 [details]
AddressSanitizer backtrace

I recompiled Thunar with address sanitizer (./configure --enable-dbus --enable-debug=yes FLAGS="-fsanitize=address" CXXFLAGS="-fsanitize=address" LDFLAGS="-fsanitize=address" --prefix=/var/tmp/thunar). Please find attached a crash report. Don't remember anymore what I was doing when it happened...
Comment 19 Mukundan Ragavan 2016-03-13 15:56:16 EDT
Can you try this build?

https://nonamedotc.fedorapeople.org/thunar-fix/


This build might mitigate the issue some but not really solve I believe.
Comment 20 cookies.river 2016-03-23 03:14:27 EDT
*** Bug 1320402 has been marked as a duplicate of this bug. ***
Comment 21 Mukundan Ragavan 2016-04-02 16:55:22 EDT

*** This bug has been marked as a duplicate of bug 1279070 ***
Comment 22 bitchecker 2016-04-25 04:28:50 EDT
*** Bug 1329971 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.